<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="taikhoan_ct_vnp" language="groovy" pageWidth="700" pageHeight="842" columnWidth="660" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="net.sf.jasperreports.export.character.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="48"/>
	<property name="ireport.y" value="0"/>
	<import value="java.util.Map"/>
	<subDataset name="f01">
		<queryString language="SQL">
			<![CDATA[select to_char(sysdate,'dd') ngay, to_char(sysdate,'mm') thang, to_char(sysdate,'yyyy') nam from dual]]>
		</queryString>
		<field name="ngay" class="java.lang.String"/>
		<field name="thang" class="java.lang.String"/>
		<field name="nam" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="thangtc" class="java.lang.String"/>
	<parameter name="ngay" class="java.lang.String"/>
	<parameter name="thang" class="java.lang.String"/>
	<parameter name="nam" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ? := admin_v2.bienban_bg.bg_kh_ezpay_vnp('{p0chuky}','{p0tentinh}'); end;]]>
	</queryString>
	<field name="ten_tinh" class="java.lang.String"/>
	<field name="chuky" class="java.lang.String"/>
	<field name="name" class="java.lang.String"/>
	<field name="short_name" class="java.lang.String"/>
	<field name="ten_tb" class="java.lang.String"/>
	<field name="ma_tb" class="java.lang.String"/>
	<field name="ma_kh" class="java.lang.String"/>
	<field name="tien" class="java.lang.Number"/>
	<field name="vat" class="java.lang.Number"/>
	<field name="tongtien" class="java.lang.Number"/>
	<field name="ghichu" class="java.lang.String"/>
	<field name="stt" class="java.lang.String"/>
	<variable name="tien_1" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{tien}]]></variableExpression>
	</variable>
	<variable name="tongtien_1" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{tongtien}]]></variableExpression>
	</variable>
	<variable name="vat_1" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{vat}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="55" splitType="Stretch">
			<staticText>
				<reportElement x="2" y="1" width="545" height="18"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[BIÊN BẢN BÀN GIAO CHI TIẾT CÁC THUÊ BAO THANH TOÁN
]]></text>
			</staticText>
			<textField>
				<reportElement x="362" y="19" width="185" height="20"/>
				<textElement verticalAlignment="Bottom">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA["'"+$P{thangtc}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="2" y="39" width="25" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[STT]]></text>
			</staticText>
			<staticText>
				<reportElement x="27" y="39" width="125" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tên thuê bao]]></text>
			</staticText>
			<staticText>
				<reportElement x="508" y="39" width="71" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tổng cộng]]></text>
			</staticText>
			<staticText>
				<reportElement x="235" y="39" width="128" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Mã khách hàng]]></text>
			</staticText>
			<staticText>
				<reportElement x="363" y="39" width="78" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Số tiền thừa]]></text>
			</staticText>
			<staticText>
				<reportElement x="152" y="39" width="83" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Số máy]]></text>
			</staticText>
			<staticText>
				<reportElement x="579" y="39" width="49" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ghi chú]]></text>
			</staticText>
			<staticText>
				<reportElement x="441" y="39" width="67" height="16"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Thuế]]></text>
			</staticText>
			<staticText>
				<reportElement x="2" y="19" width="360" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[BẰNG THẺ TRẢ TRƯỚC - EZPAY THÁNG]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band/>
	</pageHeader>
	<detail>
		<band height="15" splitType="Stretch">
			<textField>
				<reportElement x="27" y="0" width="125" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ten_tb}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="152" y="0" width="83" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ma_tb}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="235" y="0" width="128" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ma_kh}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="363" y="0" width="78" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{tien})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="441" y="0" width="67" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{vat})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="508" y="0" width="71" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{tongtien})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="579" y="0" width="49" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ghichu}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="2" y="0" width="25" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band/>
	</columnFooter>
	<pageFooter>
		<band/>
	</pageFooter>
	<summary>
		<band height="15">
			<textField>
				<reportElement x="363" y="0" width="78" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{tien_1})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="508" y="0" width="71" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{tongtien_1})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="441" y="0" width="67" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{vat_1})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="2" y="0" width="361" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tổng cộng]]></text>
			</staticText>
			<staticText>
				<reportElement x="579" y="0" width="49" height="15"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
